@mixin boxShadow( $shadow... ) {
  -webkit-box-shadow: $shadow;
  -moz-box-shadow: $shadow;
  -o-box-shadow: $shadow;
  box-shadow: $shadow;
}

%custom-control-label-shared {
  position: absolute;
  top: 0.25rem;
  left: 15px;
  display: block;
  width: 20px;
  height: 20px;
  content: "";
}

.firstPillContainer {
  width: 15%;
  float: left;
  margin: 0 1%;
}
.secondPillContainer {
  width: 21%;
  float: left;
  margin: 0 1%;
}
.buttonContainer{
  width: 49%;
  float: left;
  margin-top: 8px;
}
.refreshBtnContainer {
  width: 10%;
  float: left;
  margin-left: 1%;
}
.group-pill {
  display: inline-block;
  padding: 12px;
  color: white;
  border-radius: 20px;
}

.group-pill-active{
  border-radius: 0;
  @include boxShadow( 0 0 10px #ffc107 );
  border: solid 3px yellow;
  padding: 9px;
}

.last-refreshed-txt{
  //color: #4b4b50;
  font-size: 13px;
  font-weight: 400;
}
.last-refreshed-txt span{
  font-size: 15px;
  font-weight: 500;
}

.custom-control-label {
  margin-top: 2px;
  margin-left: 5px;
  span {
    position: absolute;
    left: 40px;
    top: 2px;
  }
  &::after{
    @extend %custom-control-label-shared;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: 50% 50%;
  }
  &::before {
    @extend %custom-control-label-shared;
    pointer-events: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: #dee2e6;
  }
}

.custom-control {
  margin-bottom: 10px;
}

.zmdi-refresh{
  font-size: 23px;
}
// ----------------------------------------- //

@media (min-width: 320px) and (max-width: 480px) {
  .firstPillContainer, .secondPillContainer {
    width: 90%;
    float: left;
    margin: 0 auto;
  }
  .buttonContainer{
    width: 68%;
    float: left;
  }
  .btn{
    padding: 10px;
  }
  .dropdown .dropdown-menu{
    top: 0;
    left: -110px;
  }
}

@media (min-width: 481px) and (max-width: 767px) {
  .firstPillContainer, .secondPillContainer {
    width: 90%;
    float: left;
    margin: 0 auto;
  }
  .buttonContainer{
    width: 89%;
    float: left;
  }
  .btn{
    padding: 10px;
  }
  .dropdown .dropdown-menu{
    left: -110px;
  }
}

@media (min-width: 768px) and (max-width: 1024px) {
  .dropdown .dropdown-menu{
    left: -63px;
  }
  .firstPillContainer, .secondPillContainer {
    width: 90%;
    float: left;
    margin: 0 auto;
  }
  .buttonContainer{
    width: 89%;
    float: left;
  }
}

@media (min-width: 768px) and (max-width: 1024px) and (orientation: landscape) {
  .firstPillContainer {
    width: 25%;
    float: left;
    margin: 0 auto;
  }
  .secondPillContainer{
    width: 35%;
    float: left;
    margin: 0 auto;
  }
  .buttonContainer{
    width: 30%;
    float: left;
  }
  .refreshBtnContainer {
    width: 6%;
    float: left;
    margin-left: 1%;
  }
}

@media (min-width: 1025px) and (max-width: 1280px) {
  .firstPillContainer {
    width: 25%;
    float: left;
    margin: 0 auto;
  }
  .secondPillContainer{
    width: 30%;
    float: left;
    margin: 0 auto;
  }
  .buttonContainer{
    width: 30%;
    float: left;
  }
}
